/* Generazione di un mixed alphabet per cifrari a sostituzione a partire da una parola chiave. Usa le lettere della parola chiave nell'ordine, senza ripetizioni, poi le lettere rimanenti dell'alfabeto, nell'ordine naturale.
*/
#include <stdio.h>

int main(int argc, char **argv){
	char s[26]; 
	int i,j, skip;
	char *c,d;
	if (argc<2) return 0;

	for(c=argv[1], i=0; *c!='\0'; c++){
		skip=0;
		for(j=0; j<i; j++)
			if (s[j]==*c) skip=1;
		if (!skip) {
			s[i]=*c;
			i++;
		}
	}

	for(d='a'; i<26; d++){
		skip=0;	
		for(j=0; j<i; j++)
			if (s[j]==d) skip=1;
		if (!skip) {
			s[i]=d;
			i++;
		}

	}
	
	for(i=0; i<26; i++)
		printf("%c", s[i]);
	printf("\n");
}
